---
title: How to be a Windows Installer XML developer
layout: documentation
---

# So you want to be a Windows Installer XML developer?

People have started expressing interest in joining the <a href="http://wixtoolset.org/" target="_blank">Windows Installer XML toolset</a> development community so I figured I should get some administrative details out of the way.&nbsp; If you are interested in contributing code to the Windows Installer XML toolset, it is very important to read through all four of these topics.

<b>1)&nbsp; The Windows Installer XML toolset copyright is held by the <a href="http://www.outercurve.org/" target="_blank">Outercurve Foundation</a>.</b>

I want to be very up front about the copyright of the Windows Installer XML toolset and how it affects us as developers.&nbsp; Outercurve Foundation is the legal representation of the Windows Installer XML project.&nbsp; Before a contribution can be accepted into the WiX project, the lawyers have asked that we assign our rights to those contributions to Outercurve Foundation.&nbsp; By having developers sign a copyright assignment agreement, Outercurve can maintain single legal control of the project.&nbsp; That single legal control enables Outercurve to best defend the project in the future if there was ever any sort of legal challenge.

Before jumping to any conspiracy theories, please note that this copyright assignment is exactly the same process the <a href="http://www.fsf.org/" target="_blank">Free Software Foundation</a> has you go through if you work on a project they sponsor.&nbsp; The Windows Installer XML assignment agreement also explicitly grants your rights to your contribution back to you.&nbsp; If you would like a copy of the assignment agreement, please contact [WiX-devs@lists.sourceforge.net](mailto:WiX-devs@lists.sourceforge.net) and we&apos;ll get the process started.

<b>2)&nbsp; The Windows Installer XML project is a <a href="http://www.usemod.com/cgi-bin/mb.pl?BenevolentDictator" target="_blank">benevolent dictatorship</a>.</b>

To have your contribution submitted to the project, please submit an assignment agreement as described above (you only need to do so once) then send your pull request on [CodePlex.com](http://wix.codeplex.com/sourcecontrol/list/contributions).&nbsp; The developers there will review the changes and someone will apply them to source control as quickly as possible.

<b>3)&nbsp; The Windows Installer XML community is a <a href="http://en.wikipedia.org/wiki/Meritocracy" target="_blank">meritocracy</a>.</b>

Those individuals in the community who demonstrate an understanding of the code base by actively participating on the [Windows Installer XML mailing lists](mailto:wix-users@lists.sourceforge.net) and consistently submitting high quality diffs will be given a &ldquo;Karma boost&rdquo;.&nbsp; With enough Karma you will earn the ability to commit changes directly to the Windows Installer XML project&rsquo;s repository.

Commit privileges should not be taken lightly.&nbsp; It is very important that the WiX toolset maintain a high quality bar because many people depend on the tools working properly.&nbsp; Very few developers earn these privileges.&nbsp; In fact, in over four years of development, only five developers have earned commit privileges to the internal Windows Installer XML project.

<b>4)&nbsp; The Windows Installer XML developers are all <a href="http://everything2.com/index.pl?node_id=15112&amp;lastnode_id=357933" target="_blank">volunteers</a>.</b>

Everyone (to the best of my knowledge) that works on the Windows Installer XML toolset does so in his or her free time.&nbsp; Please keep that fact in mind when asking for help, submitting code diffs, or interacting with any members of the project.&nbsp; We all want to help to make the Windows Installer XML toolset as solid a tool as possible, but sometimes &ldquo;real jobs&rdquo; and &ldquo;significant others&rdquo; have to take a higher precedence.

If worse comes to worse, you have access to the source code.&nbsp; Try reading for a while. :)
